Bug 237839 - [patch] math/sc-im: update to git snapshot as of 2019-02-22; add USES=gnome
Summary: [patch] math/sc-im: update to git snapshot as of 2019-02-22; add USES=gnome
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Baptiste Daroussin
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2019-05-11 17:01 UTC by Samy Mahmoudi
Modified: 2019-05-23 17:06 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (bapt)


Attachments
Patch file generated with svn diff (5.30 KB, patch)
2019-05-11 17:01 UTC, Samy Mahmoudi
no flags Details | Diff
Patch file generated with svn diff (5.27 KB, patch)
2019-05-14 10:26 UTC, Samy Mahmoudi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Samy Mahmoudi 2019-05-11 17:01:26 UTC
Created attachment 204325 [details]
Patch file generated with svn diff

Update to git snapshot as of 2019-02-22:

Since version 0.7.0, upstream target name has changed from scim to sc-im which solves name conflict with textproc/scim.

Incidentally:

- Add USES=gnome
- Reorder elements of LIB_DEPENDS
- Reorder elements of USES
Comment 1 Baptiste Daroussin freebsd_committer 2019-05-14 08:18:24 UTC
I don't like the naming of the patch it would be better to keep the version:
sc-im-0.7.1.s20190222 would be better imho.

Meaning if 0.7.1 or 0.8.0 is released on day we won't need to bump portepoch
Comment 2 Samy Mahmoudi 2019-05-14 09:23:07 UTC
(In reply to Baptiste Daroussin from comment #1)
I will definitely follow your wise advice.
Comment 3 Samy Mahmoudi 2019-05-14 10:26:01 UTC
Created attachment 204373 [details]
Patch file generated with svn diff

A crystal-clear explanation was indeed in the FreeBSD Porter's Handbook (section 5.4.3, example 5.14: accessing a commit between two versions).
Comment 4 Baptiste Daroussin freebsd_committer 2019-05-23 17:06:01 UTC
Committed thank you!
Comment 5 commit-hook freebsd_committer 2019-05-23 17:06:48 UTC
A commit references this bug:

Author: bapt
Date: Thu May 23 17:05:48 UTC 2019
New revision: 502344
URL: https://svnweb.freebsd.org/changeset/ports/502344

Log:
  Update to 0.7.0-81

  Upstream changes fixes a conflict with textproc/scim
  Some cleanups

  PR:		237839
  Approved by:	Samy Mahmoudi <samy.mahmoudi@gmail.com>

Changes:
  head/math/sc-im/Makefile
  head/math/sc-im/distinfo
  head/math/sc-im/files/patch-cmds__command.c
  head/math/sc-im/files/patch-doc
  head/math/sc-im/files/patch-file.c
  head/math/sc-im/pkg-plist